MiniMax H3
curl --request POST \
--url https://api.krea.ai/generate/video/minimax/hailuo-3 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "A Victorian greenhouse where each pane frames a universe."
}
'import requests
url = "https://api.krea.ai/generate/video/minimax/hailuo-3"
payload = { "prompt": "A Victorian greenhouse where each pane frames a universe." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: 'A Victorian greenhouse where each pane frames a universe.'})
};
fetch('https://api.krea.ai/generate/video/minimax/hailuo-3', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.krea.ai/generate/video/minimax/hailuo-3",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'prompt' => 'A Victorian greenhouse where each pane frames a universe.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.krea.ai/generate/video/minimax/hailuo-3"
payload := strings.NewReader("{\n \"prompt\": \"A Victorian greenhouse where each pane frames a universe.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.krea.ai/generate/video/minimax/hailuo-3")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"prompt\": \"A Victorian greenhouse where each pane frames a universe.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.krea.ai/generate/video/minimax/hailuo-3")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"prompt\": \"A Victorian greenhouse where each pane frames a universe.\"\n}"
response = http.request(request)
puts response.read_body{
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "backlogged",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": null,
"result": null,
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>"
},
"progress": 0.5
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Video
MiniMax H3
Frontier 2K model with references and frame animation.
POST
/
generate
/
video
/
minimax
/
hailuo-3
MiniMax H3
curl --request POST \
--url https://api.krea.ai/generate/video/minimax/hailuo-3 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "A Victorian greenhouse where each pane frames a universe."
}
'import requests
url = "https://api.krea.ai/generate/video/minimax/hailuo-3"
payload = { "prompt": "A Victorian greenhouse where each pane frames a universe." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: 'A Victorian greenhouse where each pane frames a universe.'})
};
fetch('https://api.krea.ai/generate/video/minimax/hailuo-3', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.krea.ai/generate/video/minimax/hailuo-3",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'prompt' => 'A Victorian greenhouse where each pane frames a universe.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.krea.ai/generate/video/minimax/hailuo-3"
payload := strings.NewReader("{\n \"prompt\": \"A Victorian greenhouse where each pane frames a universe.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.krea.ai/generate/video/minimax/hailuo-3")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"prompt\": \"A Victorian greenhouse where each pane frames a universe.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.krea.ai/generate/video/minimax/hailuo-3")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"prompt\": \"A Victorian greenhouse where each pane frames a universe.\"\n}"
response = http.request(request)
puts response.read_body{
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "backlogged",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": null,
"result": null,
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>"
},
"progress": 0.5
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Pricing
Fixed API prices in USD.
| BillableSeconds | Reference Images | Price |
|---|---|---|
| 5 | 0 | $0.65 |
| 5 | 1 | $0.65 |
| 5 | 2 | $0.65 |
| 5 | 3 | $0.65 |
| 5 | 4 | $0.65 |
| 5 | 5 | $0.65 |
| 5 | 6 | $0.69 |
| 5 | 7 | $0.73 |
| 5 | 8 | $0.77 |
| 6 | 0 | $0.78 |
| 6 | 1 | $0.78 |
| 6 | 2 | $0.78 |
| 6 | 3 | $0.78 |
| 6 | 4 | $0.78 |
| 6 | 5 | $0.78 |
| 5 | 9 | $0.81 |
| 6 | 6 | $0.82 |
| 6 | 7 | $0.86 |
| 6 | 8 | $0.90 |
| 7 | 0 | $0.91 |
| 7 | 1 | $0.91 |
| 7 | 2 | $0.91 |
| 7 | 3 | $0.91 |
| 7 | 4 | $0.91 |
| 7 | 5 | $0.91 |
| 6 | 9 | $0.94 |
| 7 | 6 | $0.95 |
| 7 | 7 | $0.99 |
| 7 | 8 | $1.03 |
| 8 | 0 | $1.04 |
| 8 | 1 | $1.04 |
| 8 | 2 | $1.04 |
| 8 | 3 | $1.04 |
| 8 | 4 | $1.04 |
| 8 | 5 | $1.04 |
| 7 | 9 | $1.07 |
| 8 | 6 | $1.08 |
| 8 | 7 | $1.12 |
| 8 | 8 | $1.16 |
| 9 | 0 | $1.17 |
| 9 | 1 | $1.17 |
| 9 | 2 | $1.17 |
| 9 | 3 | $1.17 |
| 9 | 4 | $1.17 |
| 9 | 5 | $1.17 |
| 8 | 9 | $1.20 |
| 9 | 6 | $1.21 |
| 9 | 7 | $1.25 |
| 9 | 8 | $1.29 |
| 10 | 0 | $1.30 |
| 10 | 1 | $1.30 |
| 10 | 2 | $1.30 |
| 10 | 3 | $1.30 |
| 10 | 4 | $1.30 |
| 10 | 5 | $1.30 |
| 9 | 9 | $1.33 |
| 10 | 6 | $1.34 |
| 10 | 7 | $1.38 |
| 10 | 8 | $1.42 |
| 11 | 0 | $1.43 |
| 11 | 1 | $1.43 |
| 11 | 2 | $1.43 |
| 11 | 3 | $1.43 |
| 11 | 4 | $1.43 |
| 11 | 5 | $1.43 |
| 10 | 9 | $1.46 |
| 11 | 6 | $1.47 |
| 11 | 7 | $1.51 |
| 11 | 8 | $1.55 |
| 12 | 0 | $1.56 |
| 12 | 1 | $1.56 |
| 12 | 2 | $1.56 |
| 12 | 3 | $1.56 |
| 12 | 4 | $1.56 |
| 12 | 5 | $1.56 |
| 11 | 9 | $1.59 |
| 12 | 6 | $1.60 |
| 12 | 7 | $1.64 |
| 12 | 8 | $1.68 |
| 13 | 0 | $1.69 |
| 13 | 1 | $1.69 |
| 13 | 2 | $1.69 |
| 13 | 3 | $1.69 |
| 13 | 4 | $1.69 |
| 13 | 5 | $1.69 |
| 12 | 9 | $1.72 |
| 13 | 6 | $1.73 |
| 13 | 7 | $1.77 |
| 13 | 8 | $1.81 |
| 14 | 0 | $1.82 |
| 14 | 1 | $1.82 |
| 14 | 2 | $1.82 |
| 14 | 3 | $1.82 |
| 14 | 4 | $1.82 |
| 14 | 5 | $1.82 |
| 13 | 9 | $1.85 |
| 14 | 6 | $1.86 |
| 14 | 7 | $1.90 |
| 14 | 8 | $1.94 |
| 15 | 0 | $1.95 |
| 15 | 1 | $1.95 |
| 15 | 2 | $1.95 |
| 15 | 3 | $1.95 |
| 15 | 4 | $1.95 |
| 15 | 5 | $1.95 |
| 14 | 9 | $1.98 |
| 15 | 6 | $1.99 |
| 15 | 7 | $2.03 |
| 15 | 8 | $2.07 |
| 16 | 0 | $2.08 |
| 16 | 1 | $2.08 |
| 16 | 2 | $2.08 |
| 16 | 3 | $2.08 |
| 16 | 4 | $2.08 |
| 16 | 5 | $2.08 |
| 15 | 9 | $2.11 |
| 16 | 6 | $2.12 |
| 16 | 7 | $2.16 |
| 16 | 8 | $2.20 |
| 17 | 0 | $2.21 |
| 17 | 1 | $2.21 |
| 17 | 2 | $2.21 |
| 17 | 3 | $2.21 |
| 17 | 4 | $2.21 |
| 17 | 5 | $2.21 |
| 16 | 9 | $2.24 |
| 17 | 6 | $2.25 |
| 17 | 7 | $2.29 |
| 17 | 8 | $2.33 |
| 18 | 0 | $2.34 |
| 18 | 1 | $2.34 |
| 18 | 2 | $2.34 |
| 18 | 3 | $2.34 |
| 18 | 4 | $2.34 |
| 18 | 5 | $2.34 |
| 17 | 9 | $2.37 |
| 18 | 6 | $2.38 |
| 18 | 7 | $2.42 |
| 18 | 8 | $2.46 |
| 19 | 0 | $2.47 |
| 19 | 1 | $2.47 |
| 19 | 2 | $2.47 |
| 19 | 3 | $2.47 |
| 19 | 4 | $2.47 |
| 19 | 5 | $2.47 |
| 18 | 9 | $2.50 |
| 19 | 6 | $2.51 |
| 19 | 7 | $2.55 |
| 19 | 8 | $2.59 |
| 20 | 0 | $2.60 |
| 20 | 1 | $2.60 |
| 20 | 2 | $2.60 |
| 20 | 3 | $2.60 |
| 20 | 4 | $2.60 |
| 20 | 5 | $2.60 |
| 19 | 9 | $2.63 |
| 20 | 6 | $2.64 |
| 20 | 7 | $2.68 |
| 20 | 8 | $2.72 |
| 21 | 0 | $2.73 |
| 21 | 1 | $2.73 |
| 21 | 2 | $2.73 |
| 21 | 3 | $2.73 |
| 21 | 4 | $2.73 |
| 21 | 5 | $2.73 |
| 20 | 9 | $2.76 |
| 21 | 6 | $2.77 |
| 21 | 7 | $2.81 |
| 21 | 8 | $2.85 |
| 22 | 0 | $2.86 |
| 22 | 1 | $2.86 |
| 22 | 2 | $2.86 |
| 22 | 3 | $2.86 |
| 22 | 4 | $2.86 |
| 22 | 5 | $2.86 |
| 21 | 9 | $2.89 |
| 22 | 6 | $2.90 |
| 22 | 7 | $2.94 |
| 22 | 8 | $2.98 |
| 23 | 0 | $2.99 |
| 23 | 1 | $2.99 |
| 23 | 2 | $2.99 |
| 23 | 3 | $2.99 |
| 23 | 4 | $2.99 |
| 23 | 5 | $2.99 |
| 22 | 9 | $3.02 |
| 23 | 6 | $3.03 |
| 23 | 7 | $3.07 |
| 23 | 8 | $3.11 |
| 24 | 0 | $3.12 |
| 24 | 1 | $3.12 |
| 24 | 2 | $3.12 |
| 24 | 3 | $3.12 |
| 24 | 4 | $3.12 |
| 24 | 5 | $3.12 |
| 23 | 9 | $3.15 |
| 24 | 6 | $3.16 |
| 24 | 7 | $3.20 |
| 24 | 8 | $3.24 |
| 25 | 0 | $3.25 |
| 25 | 1 | $3.25 |
| 25 | 2 | $3.25 |
| 25 | 3 | $3.25 |
| 25 | 4 | $3.25 |
| 25 | 5 | $3.25 |
| 24 | 9 | $3.28 |
| 25 | 6 | $3.29 |
| 25 | 7 | $3.33 |
| 25 | 8 | $3.37 |
| 26 | 0 | $3.38 |
| 26 | 1 | $3.38 |
| 26 | 2 | $3.38 |
| 26 | 3 | $3.38 |
| 26 | 4 | $3.38 |
| 26 | 5 | $3.38 |
| 25 | 9 | $3.41 |
| 26 | 6 | $3.42 |
| 26 | 7 | $3.46 |
| 26 | 8 | $3.50 |
| 27 | 0 | $3.51 |
| 27 | 1 | $3.51 |
| 27 | 2 | $3.51 |
| 27 | 3 | $3.51 |
| 27 | 4 | $3.51 |
| 27 | 5 | $3.51 |
| 26 | 9 | $3.54 |
| 27 | 6 | $3.55 |
| 27 | 7 | $3.59 |
| 27 | 8 | $3.63 |
| 28 | 0 | $3.64 |
| 28 | 1 | $3.64 |
| 28 | 2 | $3.64 |
| 28 | 3 | $3.64 |
| 28 | 4 | $3.64 |
| 28 | 5 | $3.64 |
| 27 | 9 | $3.67 |
| 28 | 6 | $3.68 |
| 28 | 7 | $3.72 |
| 28 | 8 | $3.76 |
| 29 | 0 | $3.77 |
| 29 | 1 | $3.77 |
| 29 | 2 | $3.77 |
| 29 | 3 | $3.77 |
| 29 | 4 | $3.77 |
| 29 | 5 | $3.77 |
| 28 | 9 | $3.80 |
| 29 | 6 | $3.81 |
| 29 | 7 | $3.85 |
| 29 | 8 | $3.89 |
| 30 | 0 | $3.90 |
| 30 | 1 | $3.90 |
| 30 | 2 | $3.90 |
| 30 | 3 | $3.90 |
| 30 | 4 | $3.90 |
| 30 | 5 | $3.90 |
| 29 | 9 | $3.93 |
| 30 | 6 | $3.94 |
| 30 | 7 | $3.98 |
| 30 | 8 | $4.02 |
| 30 | 9 | $4.06 |
Deprecated request aliases
Deprecated request aliases
These aliases are accepted for compatibility only and are not shown in the request schema.
| Deprecated | Use instead | Accepted until |
|---|---|---|
startImage | start_image | 2026-06-19 |
aspectRatio | aspect_ratio | 2026-06-19 |
endImage | end_image | 2026-06-19 |
referenceImages | reference_images | 2026-06-19 |
referenceVideos | reference_videos | 2026-06-19 |
referenceVideoSeconds | reference_video_seconds | 2026-06-19 |
referenceAudios | reference_audios | 2026-06-19 |
Authorizations
Headers
URL to receive a POST request when the job completes. The webhook will receive the job data including results. Deliveries are signed with Ed25519 (EdDSA); verify them with the keys at https://api.krea.ai/.well-known/jwks.json (see X-Krea-Webhook-* headers). Treat requests without these headers as unauthenticated.
Body
application/json
Response
The resulting job data. This will be returned in a pending state until the job is completed. See /jobs/{id} for retrieving the results.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Was this page helpful?